stack-1.3.2: The Haskell Tool Stack

Safe Haskell | None
Language | Haskell2010

Stack.Coverage

Description

Generate HPC (Haskell Program Coverage) reports

Synopsis

- deleteHpcReports :: (StackM env m, HasEnvConfig env) => m ()
- updateTixFile :: (StackM env m, HasEnvConfig env) => PackageName -> Path Abs File -> String -> m ()
- generateHpcReport :: (StackM env m, HasEnvConfig env) => Path Abs Dir -> Package -> [Text] -> m ()
- data HpcReportOpts = HpcReportOpts {
  - hroptsInputs :: [Text]
  - hroptsAll :: Bool
  - hroptsDestDir :: Maybe String
  - hroptsOpenBrowser :: Bool
  }
- generateHpcReportForTargets :: (StackM env m, HasEnvConfig env) => HpcReportOpts -> m ()
- generateHpcUnifiedReport :: (StackM env m, HasEnvConfig env) => m ()
- generateHpcMarkupIndex :: (StackM env m, HasEnvConfig env) => m ()

# Documentation

deleteHpcReports :: (StackM env m, HasEnvConfig env) => m () #

Invoked at the beginning of running with "--coverage"

updateTixFile :: (StackM env m, HasEnvConfig env) => PackageName -> Path Abs File -> String -> m () #

Move a tix file into a sub-directory of the hpc report directory. Deletes the old one if one is present.

generateHpcReport :: (StackM env m, HasEnvConfig env) => Path Abs Dir -> Package -> [Text] -> m () #

Generates the HTML coverage report and shows a textual coverage summary for a package.

data HpcReportOpts #

Constructors

HpcReportOpts |
Fields hroptsInputs :: [Text] hroptsAll :: Bool hroptsDestDir :: Maybe String hroptsOpenBrowser :: Bool

Instances

Show HpcReportOpts # |
Methods showsPrec :: Int -> HpcReportOpts -> ShowS # show :: HpcReportOpts -> String # showList :: [HpcReportOpts] -> ShowS #

generateHpcReportForTargets :: (StackM env m, HasEnvConfig env) => HpcReportOpts -> m () #

generateHpcUnifiedReport :: (StackM env m, HasEnvConfig env) => m () #

generateHpcMarkupIndex :: (StackM env m, HasEnvConfig env) => m () #